Get an Instagram reel transcript (v2)
Returns the spoken words of a public Instagram reel, identified by code, as text. text is empty when the reel has no speech.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
code*string
Shortcode from the post URL (DDPp2UWzWEm in instagram.com/p/DDPp2UWzWEm/), numeric media ID, or the full post or reel URL.
Length
1 <= lengthcurl -X GET "https://example.com/v2/instagram/media/transcript?code=https%3A%2F%2Fwww.instagram.com%2Freel%2FDdUR3sECGWy%2F" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "id": "3986890163803940274", "code": "DdUR3sECGWy", "text": "To cook a single serving of rice, take one espresso cup of rice, two espresso cups of water, salt, and bring to a boil." }, "details": { "reason": "no_results", "message": "string" }}